#
# spec file for package eog-plugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           eog-plugins
Version:        3.1.1
Release:        1
#FIXME: on update to new version (last checked: 3.1.1), re-enable libgdata BuildRequires (see bgo#654302)
#FIXME: add postr BuildRequires when we have a package
License:        GPLv2+
Summary:        A collection of plugins for Eye of GNOME
Group:          Productivity/Graphics/Viewers
Url:            http://live.gnome.org/EyeOfGnome/Plugins
Source:         http://download.gnome.org/sources/eog-plugins/3.1/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(champlain-gtk-0.10)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(eog)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libexif)
#BuildRequires:  pkgconfig(libgdata)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(pygobject-2.0)
Requires:       %{name}-lang = %{version}
Requires:       eog
Enhances:       eog
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
This package contains plugins for additional features in Eye of GNOME.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --with-plugins=all \
        --enable-python
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}/%{_libdir}/eog/plugins

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%{_libdir}/eog/plugins/*.py*
%{_libdir}/eog/plugins/*.so
%{_libdir}/eog/plugins/exif-display/
#%{_libdir}/eog/plugins/postasa/
%{_libdir}/eog/plugins/pythonconsole/
# Explicit list of plugins
%{_libdir}/eog/plugins/exif-display.plugin
%{_libdir}/eog/plugins/fit-to-width.plugin
%{_libdir}/eog/plugins/map.plugin
#%{_libdir}/eog/plugins/postasa.plugin
%{_libdir}/eog/plugins/pythonconsole.plugin
%{_libdir}/eog/plugins/send-by-mail.plugin
%{_libdir}/eog/plugins/slideshowshuffle.plugin
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml

%files lang -f %{name}.lang

%changelog
